# std::basic_syncbuf<CharT,Traits,Allocator>::get_allocator

From cppreference.com
< cpp‎ | io‎ | basic syncbuf

allocator_type get_allocator() const noexcept; |  |

Returns a copy of the allocator that was passed in as the constructor argument or replaced through the assignment operator.

### Parameters

(none)

### Example

| This section is incomplete Reason: no example

### See also

(constructor) | constructs a basic_syncbuf object (public member function)
operator= | assigns a basic_syncbuf object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_syncbuf/get_allocator&oldid=105217"